Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.event.spi
Interface DeleteEventListener

All Superinterfaces:
  Serializable

All Known Implementing Classes:
  DefaultDeleteEventListener, EJB3DeleteEventListener

    public interface DeleteEventListener

extends Serializable

Defines the contract for handling of deletion events generated from a session.

Method Summary
`void` | `onDelete(DeleteEvent event)` Handle the given delete event.
`void` | `onDelete(DeleteEvent event, Set transientEntities)`

Method Detail

### onDelete

    void onDelete(DeleteEvent event)
                  throws HibernateException

  Handle the given delete event.

  Parameters:
    `event` - The delete event to be handled.
  Throws:
    `HibernateException`

### onDelete

    void onDelete(DeleteEvent event,
                  Set transientEntities)
                  throws HibernateException

  Throws:
    `HibernateException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.